<?php

namespace app\http\controller;

use app\http\model\Package as PackageModel;
//appid：1001
//token：ce50f58b8f977b069575db6985a049b5

class Product 
{

    // "sgUserId": 0, //必填，松果用户id
    // "isAbroad": 0, //必填，是否海外，0-国内，1-海外
    // "shareType": 1, //必填，线路类型，1-共享，2-独享
    // "gameId": 0, //可选，游戏id，共享请传递0或不传，独享在101协议中返回
    // "lineType": 1, //必填，线路质量类型，1-普通，2-优质
    // "bandwidth": 1, //必填，带宽，1-1M、2-2M、5-5M、10-10M
    // "cityCode": 0, //可选，城市编码，0表示随机不指定，在102协议中返回
    // "isp": 0, //可选，运营商，0表示随机不指定，仅限国内线路使用，2-电信，3-移动，4-联通
    // "ipAmount": 1, //必填，购买IP数量，最小1个
    // "periodType": 1, //必填，周期类型，1-按天，7-按周，30-按月，90-按季度
    // "periodAmount": 1,//必填，购买周期，根据periodType来，例如按天，就是N天，按周就是N周

    // private $url_root = 'https://sandbox.sgxz.cn';
    private $url_root = 'https://merchant.sgxz.cn';

    //查询长效可选城市
    public function city(){
        $request_data = $_POST;
        $url = $this->url_root.'/plan/long/assignable/cities';

        $request_data = formatHttpRequert($request_data);

        echo(linkcurl($url,'GET',$request_data,[],0));
    }
    
    //查询长效可切换入口城市
    public function in_city(){
        $request_data = $_POST['data'];
        $url = $this->url_root.'/plan/long/assignable/cities';

        $request_data = formatHttpRequert($request_data);

        echo(linkcurl($url,'GET',$request_data,[],0));
    }
    
    
    //查询长效可切换出口城市
    public function out_city(){
        $request_data = json_decode(file_get_contents("php://input"),true)['data'];
        $url = $this->url_root.'/plan/long/assignable/cities';

        $request_data = formatHttpRequert($request_data);

        echo(linkcurl($url,'GET',$request_data,[],0));
    }
     //查询长效可选游戏
     public function game(){
        $request_data = $_POST;
        $url = $this->url_root.'/plan/long/assignable/games';

        $request_data = formatHttpRequert($request_data);

        echo(linkcurl($url,'GET',$request_data,[],0));
    }
    //可选线路数量
    public function linecount(){
        $request_data = $_POST;
        unset($request_data['lineType']);
        unset($request_data['ipAmount']);
        unset($request_data['periodType']);
        unset($request_data['periodAmount']);
        $url = $this->url_root.'/plan/long/assignable/line/count';

        $request_data = formatHttpRequert($request_data);

        echo(linkcurl($url,'GET',$request_data,[],0));
    }

    
    //计算价格
    public function calc_price(){
        $data = $_POST;
        
        $package_model = new PackageModel;
        
        $price = $package_model->get_price($data);

        echo json_encode($price);
    }

}